1.0 (2010/12/04)
	[必須チェック漏れ対応]
	一部の画面で、JSP側の必須チェックが正しく動作してないバグを修正します。
		AN0001(entry.jsp)
		AN0008(entry.jsp)

	[回答方法=SCALEのバグ修正]
	回答明細テーブルにSCALEの値を落とす際に、正しく値がクリアされていないバグを修正
		OP1003(OP1003A.java)

	[回答方法=SCALEの改善]
	回答方法=SCALEの表示方法を改善します。
	①各チェックボックスをセル(td)で分割して表示
	②スケールの注釈で、カンマ(,)区切りで入力した注釈をセル(th)で分割して表示
		customan(ankKomoku.jsp, ankKomokuConfirm.jsp)

	[一括ダウンロード機能修正]
	アンケート結果の一括ダウンロード機能で、日付が正しく出力されないバグを修正します。
		AN0101 (allOutput.jsp)

	[連続回答の制限]
	連続回答の制限方法のロジックを見直します。
	具体的には、ユーザー単位に10分縛りの制限を設けるのではなく、「戻るボタン」を利用した連投のみを
	エラーとするようにします。
		OP1003 (index.jsp, confirm.jsp, entry.jsp, OP1003A.java OP1003S.java)
		-- ラベルリソース追加
		ANE0035 : (戻るボタンでの再回答はできません。)

	[初心者用アンケート作成画面改善]
	初心者用アンケート作成画面で、複数行を一気に追加できるように対応します。
		AN0001A (index.jsp an0001a.jsp)

	[回答結果の表示方法制御の改善]
	回答者が回答後でも回答結果を表示しない設定ができるように対応します。
		OP1003 (index.jsp, thanks.jsp, answer.jsp, msg.jsp)
		OP1004 (result.jsp)
		OP1101 (index.jsp)
		-- コードリソース変更
		FGRESDISP ("3:表示しない"を追加)

	[セッションタイムアウト対策]
	回答画面でセッションタイムアウトになるのを防ぐため、Ajaxで20分毎にダミーのリクエストを発行し、
	セッションタイムアウトが発生しないようにします。
		OP1003 (index.jsp, antitimeout.js, dummy.html)

	[その他回答欄の桁数]
	チェックボックスや、ラジオボタンの「その他」の自由入力欄について、桁数を100桁に増やします。
		Utils.java

	[自由入力回答バグ修正]
	自由入力回答形式で、値にカンマ(,)が含まれていると、回答内容が分割して登録されるバグを修正します。。
		OP1003 (OP1003A.java)

	[アンケート回答チェック強化]
	アンケート回答画面で、登録直前にも必須入力チェックを行います。
		OP1003 (entry.jsp, OP1003A.java)

	[全データ一括ダウンロード機能追加]
	全データ一括ダウンロード機能を追加します。
		AN0101(allOutput.jsp,detail.jsp)
		-- ラベルリソース追加
		ALLDL : (全データ一括ダウンロード)

	[テンプレート公開機能対応]
	自身が作成したアンケートをテンプレートとして公開することのできる機能を追加します。
		AN0001 (AN0001D.java)
		AN0002 (result.jsp, entry.jsp)
		AN0005 (index.jsp)
		AN0008 (index.jsp, fileout.jsp AN0008A.java AN0008S.java)
		-- ラベルリソース追加
		TEMPLATEKOKAI : 雛形(テンプレート)として公開する

	[回答方法=SCALE(段階)の対応]
	回答方法として、段階で回答できる機能(SCALE)を追加します。
		templateOut.jsp
		AN0001 (AN0001A.java)
		AN0001A (index.jsp)
		AN0002 (AN0002A.java)
		AN0003 (result.jsp)
		AN0004 (query.jsp, result.jsp, AN0004A)
		AN0008 (fileout.jsp)
		AN0101 (detail.jsp, detail_RADAR.jsp output.jsp)
		OP1003 (entry.jsp OP1003A)
		customan (ankKomoku.jsp, ankKomokuConfirm.jsp, ankKomokuAnswer.jsp resultView.jsp)
		AnkCheck.java
		ColumnRes.java
		Utils.java
		-- テーブル定義変更
		alter table AN03 add ( KSCALE integer default 0 not null );
		alter table AN12 add ( KVALSCL integer default 0 not null );
		-- カラムリソース追加
		KSCALE : 
		KVALSCL : 
		QANOTE  : (注釈) 追加
		-- ラベルリソース変更
		ANE0014
		QAGROUP : (グループ) 名称追加
		-- コードリソース変更
		KBUNRUI ("SCALE"を追加)
		KBUNRUI2 ("SCALE"を追加)

	[openGionバージョンアップ]
	openGionのバージョンを5.2.1.0から5.3.0.0にアップします。
	これに伴い、GEA09のテーブルに対して、NEXTGUIの項目を追加する必要があります。
		ALTER TABLE GEA09 ADD ( NEXTGUI VARCHAR(1000)) ;

	[アンケート作成画面修正]
	初心者用アンケート作成画面で、内容をコピーした場合に、初期注釈が正しくクリアされないバグを修正します。
		AN0001A (an0001a.js)

	[質問小グループ追加]
	アンケート項目定義(AN02)に質問小グループの項目を追加します。
	これを設定することにより、質問グループの中にさらに小さい分類の質問を定義することができます。
		templateOut.jsp
		AN0001 (AN0001A.java)
		AN0003 (result.jsp, AN0003A.java)
		AN0008 (fileout.jsp)
		custom/custom.css
		customan/ankVIEW.jsp
		customan/resultVIEW.jsp
		-- テーブル定義変更
		alter table AN02 add ( SITSUSGRP varchar(4000) );
		-- カラムリソース、ラベルリソース追加
		SITSUSGRP,QASGROUP

	[アンケート回答用URLの構築方法変更]
	アンケート回答用のURLを{@SYS.CONTEXT_URL}ではなく、requestオブジェクトから構築するようにします。
	これは、アクセスがロードバランサー経由の場合、{@SYS.CONTEXT_URL}では、実サーバーのURLを返してしまうためです。
		AN0002

	[アンケート回答画面・改善]
	アンケート回答画面で、アンケート概要の表示が見難いため、レイアウトを改善します。
		customan/ankVIEW.jsp
		customan/resultVIEW.jsp

	[アンケート結果・回答者IDの出力]
	アンケート結果集計で、回答の明細に回答者IDの情報を付加します。
	(回答者が見ることのできる画面については、今まで通り、回答者IDは表示しません)
		AN0101

	[アンケート定義・1行表示数の設定改善]
	アンケート定義・1行表示数の設定で0以下が入力できないようにします。
		AN0001
		AN0003

	[アンケート定義取り込み機能改善]
	アンケート定義ファイル取り込み時にカラムをチェックをかけるようにします。
	この改善により、"RCODE"というキーのカラムリソースが必要になります。
	("RSCODE"をコピーし、キーのみ変更して登録して下さい。)
		AN0001

	[アンケートコピー不具合]
	アンケートコピー時に、必須属性が引き継がれないバグを修正します。
		AN0001

	[登録画面改善]
	一括複数件登録機能(repeatCount)を追加します。
		AN0003
		AN0004
		AN0005

	[結果表示の改善]
	結果表示のグラフで、回答件数の多い順から表示されるようにします。
		AN0101

	[連続回答の制限]
	アンケートの設定で、複数回答を許可している場合、連続で回答内容を送信することが可能でした。
	今回の対応では、複数回答を許可している場合でも、回答後10分以内は、回答ができないように
	制限を設けます。
		OP1003

	[ファイル出力形式の設定対応]
	アンケート結果及びアンケート定義をファイル出力する際に、そのフォーマット(Excel or Calc)を指定
	できるようにします。
	また、アンケート結果出力については、帳票システムを利用せず、writeTableタグで直接ファイル出力も
	できるようにします。
		AN0001
		AN0008
		AN0101

	[回答済判定条件の変更]
	公開方法を「一般公開」または「URL通知」とした場合、従来は、IPアドレスのみで回答済みの判定を行って
	いましたが、これを以下のように変更します。
	 ①GUESTユーザーの場合 -> IPアドレス で判定
	 ②GUESTユーザー以外の場合 -> ユーザーID で判定
		OP1003

	[回答期限の表示]
	アンケート回答画面に回答期限を表示します。
		customan

	[アンケート項目詳細画面表示]
	アンケート項目詳細画面で詳細定義を行う必要のない、自由入力の質問がプルダウンに表示されるバグ
	を修正します。
		AN0004

0.23(β版4) (2010/10/08)
	[リファクタリング・バグ修正]
	項目ラベルの変更や、軽微なバグ修正などを行います。

0.22(β版3) (2010/09/27)
	[簡易テスト機能追加]
	簡易的にテスト(正解付アンケート)を行うことができる機能を追加します。
	利用方法については、wikiを参照して下さい。
		alter table AN01 add FGSHUBETSU varchar(1);
		alter table AN01 add FGRESDISP varchar(1);
		alter table AN02 add SUPTRITSU integer default 0 not null;
		alter table AN02 add SUPOINT integer default 0 not null;
		alter table AN02 add KAISETSU varchar(4000);
		alter table AN03 add FGCORRECT varchar(1);
		alter table AN11 add SUSPOINT integer default 0 not null;
		alter table AN12 add SUPOINT integer default 0 not null;
		alter table AN12 add FGCORRECT varchar(1);

	[回答確認画面修正]
	回答結果の確認画面を一般的な表示方法に変更します。
		OP1003
		customan

	[アンケート項目定義簡易画面修正]
	アンケートの項目定義を行う画面を改善します。
		AN0008

	[認証ユーザーによる回答者限定機能追加]
	回答者限定によるアンケートで、従来の個別URLによるユーザーの識別ではなく、ユーザー認証によりユーザーを特定し、
	回答者の絞込み/残管理ができる機能を追加します。
	従来の個別URL方式は、"回答者限定(個別URL)"とし、今回、新たに追加した認証による特定は、"回答者限定(認証)"とします。
		AN0007

	[条件分岐機能追加]
	アンケート回答時に、条件に応じて質問項目の有効/無効を設定することのできる機能を追加します。
		OP1003

0.21(β版2) (2010/09/07)
	[アンケート作成画面追加]
	Web画面上で、アンケートの項目定義を行うことができる機能を追加します。
		AN0001A

	[アンケートコピー機能追加]
	アンケートプレビュー画面から、ファイルを介する事無く、直接アンケートをコピーすることのできる機能を
	追加します。
		AN0008

	[条件付き項目・項目自動セット・外部システム連携用の項目追加]
	条件付き項目・項目自動セット・外部システム連携用に必要となる項目を追加します。
		alter table AN02 add RSCODE varchar(20);
		alter table AN02 add INIVAL varchar(50);
		alter table AN02 add CSKEY varchar(200);
		alter table AN02 add CSWAY varchar(10);
		alter table AN02 add SUCS integer default 0 not null;
		alter table AN02 add VDCDTN varchar(200);
		alter table AN03 add RSCODE varchar(20);

0.2(β版) (2010/09/01)
	[回答者管理機能追加]
	アンケートの主催者単位にアンケート回答者を管理し、アンケート毎に回答者の管理(回答残管理を含む)が
	出来るように対応します。
		OP1003
		AN0006(回答者一覧)			新規追加
		AN0007(回答依頼/残管理)		新規追加
		AN0008(回答画面プレビュー)	新規追加
		AN05 テーブル追加
		alter table AN01 add KTSTAGS varchar(4000);
		alter table AN01 add IRAIADDRS varchar(4000);
		alter table AN01 add IRAIMLDT varchar(14);

	[質問グループ機能追加]
	アンケートの質問項目に対して、グループを設定できる機能を追加します。
		AN0001
		AN0005
		AN0101
		OP1003
		alter table AN02 add SITSUGRP varchar(4000);

	[アンケート結果集計改善]
	アンケートの集計結果確認画面で、プルダウン選択、テキスト入力、日付入力の回答項目に対する集計結果の
	表示方法を見直します。
		AN0101

	[アンケート回答確認画面表示]
	回答したアンケートを送信する前に確認画面を表示するようにします。
		OP1003

	[複数回答禁止/許可機能追加]
	同一ユーザーによる複数回答の禁止/許可をマスタ設定で制御できるようにします。
	なお、アンケート作成画面から作成した直後の初期値は、"複数回答を許可する"です。
		OP1003
		alter table AN01 add FGNODPL varchar(1) default '0' not null;

	[アンケート概要追加]
	アンケートに対して概要説明を登録できるようにします。また、これに伴い、アンケート回答画面に
	アンケート名称、概要及び主催者情報へのリンクを追加します。
		AN0002
		AN0003
		AN0101
		OP1003
		alter table AN01 add SMANK varchar(4000);

	[バグ修正]
	アンケート項目の修正時に、カラムリソースが正しく更新されないバグを修正します。
		an.ColumnRes.insupdGEA03()

	アンケート作成後の、アンケート一覧画面への遷移時に、公開が終了した不要なアンケートが
	表示されるバグを修正します。
		AN0001/preview.jsp
		AN0001/entry.jsp
		AN0002/query.jsp
		AN0002/result.jsp

	アンケート一覧画面の初期表示で、公開が終了した不要なアンケートが表示されるバグを修正します。
		OP1001/index.jsp

	アンケートの結果表示で、テキストエリアの回答内容が1行表示されてしまうバグを修正します。
		AN0101/detail_TEXTLIST.jsp
		AN0101/detail_OTHER.jsp

	その他の選択肢を横並びに表示した場合に、自由入力のテキストボックスが次の行に表示されてしまう
	バグを修正します。
		customan/ankKomoku.jsp

	その他の回答選択肢で自由入力を行う部分について、必須でないにも関わらず背景色が黄色になっている
	バグを修正します。
		customan/ankKomoku.jsp

	[アンケート作成機能改善]
	アンケート作成時に、自由入力(TEXTAREA)の初期の入力制限を4000Byteに変更します。
		an.Utils.getLength(String, int)

0.1(α版) (2010/08/01)
	[横並べ表示対応]
	アンケートの回答の選択肢を横に並べて表示できる機能を追加します。
	アンケートの定義ファイルから取り込んだ初期状態では、回答の選択肢が5つ以下の場合は、1行に表示し、
	それ以上の場合は、1列(1行1選択肢)となるように表示します。
	1行辺りに表示する回答選択肢は、設定画面(アンケート項目定義)で個別に変更することも可能です。
		AN02 SUONELINE NUMBER(9) を追加
		templateOut.jsp
		customan/ankKomoku.jsp
		AN0003/result.jsp
		an.AN0003A
		an.AN0001A

	※項目が追加されていますので、以下のalter文を発行する必要があります。
		alter table AN02 add SUONELINE integer default 0 not null;

	[Oracle,MySQL,HSQLDB対応]
	シーケンスの採番をopenGion標準メソッドを経由して取得することで、PostgreSQL以外のDB
	(Orace,MySQL,HSQLDB)でも動作するように対応します。
		an.AN0001A.setCdank()
		an.AN0001A.insertAN02(int)
		an.AN0001A.insertAN03(int)
		an.AN0003A.insert(int)
		an.AN0004A.insert(int)
		an.OP1003A.first()
		db				各DB用のシーケンス作成スクリプトを追加
		build.xml

	[プルダウン選択対応]
	アンケートの回答方法としてプルダウンを選択できるように対応します。
	これを利用するには、回答方法を"MENU"で定義します。回答選択肢の定義方法は、"RADIO"や"CHBOX"の
	場合と同じです。
	なお、この機能を利用した場合、集計画面では、一覧形式で回答比率を確認する形式になります。
	これは、プルダウン選択の場合の回答選択肢の数が"RADIO"や"CHBOX"に比べて、多いことが想定されるため、
	グラフ形式ではなく一覧形式としています。
	また、プルダウン形式の利用例として、質問に"社員名"などを定義しておくことで、"どの社員名が回答していないか"
	が、回答率より確認することができ、これにより簡易的な回答者の残管理などにも利用することができます。
		customan/ankKomoku.jsp
		AN0101

	[テンプレート機能追加] #22486
	アンケートのテンプレート機能を追加します。
	これを利用することにより、テンプレートとして用意されたアンケートの定義情報を元にアンケートを作成
	できるようになります。
	また、同じ仕組みを利用して、過去に実施(作成)したアンケートの定義情報も出力できるようにします。
		アンケートマスタ(AN01)			雛形F(FGTEMPLATE)を追加
		アンケート項目マスタ(AN02)		質問画像(拡張子)(IMGSNAI)を追加
		アンケート項目詳細マスタ(AN03)	回答値画像(拡張子)(IMGSKVAL)を追加
		an.AN0001A.first()
		an.AN0001A.fstchk()
		an.AN0001A.allchk(int)
		an.AN0001A.insertAN02(int)
		an.AN0001A.insertAN03(int)
		an.AN0001D.allrow(int)
		AN0005							新規追加
		templateOut.jsp					新規追加

	[Google Chrome対応] #22480
	GoogleChromeでアンケート集計画面を表示した際に、グラフが正しく表示されないバグを修正します。
		AN0101/result_VIEW.jsp
		OP1003/ank_VIEW.jsp

	[バグ修正] #22490
	アンケートに2重回答できるバグを修正します。
	2重回答のチェックは、以下の仕様で行っています。
	①GUESTユーザーの場合
	 同一IPからの回答はエラー
	②GUESTユーザー以外の場合
	 同一ユーザーからの回答はエラー
		an.OP1003A.fstchk()
		OP1003/index.jsp

	[バグ修正]
	アンケート一覧確認(AN0002)からアンケート結果集計(AN0101)へのリンクで、結果が0件の場合にはリンクを出さない
	ようにします。(リンクを出すとリンク先で「0除算エラー」となるため)
		AN0002/result.jsp,update.jsp

	[リファクタリング]
	openGionのバージョンアップに伴って不要となった属性指定(og:valueタグのnullSet="false")を削除します。
		customan/ankKomoku.jsp:12:<og:value command="SQL" nullSet="false">
		AN0101/detail_GRAPH.jsp:24:	<og:value command="SQL" nullSet="false">
		AN0101/result_VIEW.jsp:53:		<og:value command="SQL" nullSet="false">
		OP1003/ank_VIEW.jsp:29:		<og:value command="SQL" nullSet="false">
		OP1003/index.jsp:49:<og:value command="SQL" nullSet="false">
